org.apache.ignite.internal.portable.api

## Interface PortableRawReader

All Known Subinterfaces:
  PortableRawReaderEx

All Known Implementing Classes:
  PortableReaderExImpl

    public interface PortableRawReader

Raw reader for portable objects. Raw reader does not use field name hash codes, therefore, making the format even more compact. However, if the raw reader is used, dynamic structure changes to the portable objects are not supported.

### Method Summary

Methods
`boolean` `readBoolean()`
`boolean[]` `readBooleanArray()`
`byte` `readByte()`
`byte[]` `readByteArray()`
`char` `readChar()`
`char[]` `readCharArray()`
`<T> Collection<T>` `readCollection()`
`<T> Collection<T>` `readCollection(Class<? extends Collection<T>> colCls)`
`Date` `readDate()`
`Date[]` `readDateArray()`
`BigDecimal` `readDecimal()`
`BigDecimal[]` `readDecimalArray()`
`double` `readDouble()`
`double[]` `readDoubleArray()`
`<T extends Enum<?>> T` `readEnum()`
`<T extends Enum<?>> T[]` `readEnumArray()`
`float` `readFloat()`
`float[]` `readFloatArray()`
`int` `readInt()`
`int[]` `readIntArray()`
`long` `readLong()`
`long[]` `readLongArray()`
`<K,V> Map<K,V>` `readMap()`
`<K,V> Map<K,V>` `readMap(Class<? extends Map<K,V>> mapCls)`
`<T> T` `readObject()`
`Object[]` `readObjectArray()`
`short` `readShort()`
`short[]` `readShortArray()`
`String` `readString()`
`String[]` `readStringArray()`
`Timestamp` `readTimestamp()`
`UUID` `readUuid()`
`UUID[]` `readUuidArray()`

### Method Detail

#### readByte

    byte readByte()
                  throws PortableException

Returns:
  Byte value.
Throws:
  `PortableException` - In case of error.

#### readShort

    short readShort()
                    throws PortableException

Returns:
  Short value.
Throws:
  `PortableException` - In case of error.

#### readInt

    int readInt()
                throws PortableException

Returns:
  Integer value.
Throws:
  `PortableException` - In case of error.

#### readLong

    long readLong()
                  throws PortableException

Returns:
  Long value.
Throws:
  `PortableException` - In case of error.

#### readFloat

    float readFloat()
                    throws PortableException

Returns:
  Float value.
Throws:
  `PortableException` - In case of error.

#### readDouble

    double readDouble()
                      throws PortableException

Returns:
  Double value.
Throws:
  `PortableException` - In case of error.

#### readChar

    char readChar()
                  throws PortableException

Returns:
  Char value.
Throws:
  `PortableException` - In case of error.

#### readBoolean

    boolean readBoolean()
                        throws PortableException

Returns:
  Boolean value.
Throws:
  `PortableException` - In case of error.

#### readDecimal

    @Nullable
    BigDecimal readDecimal()
                           throws PortableException

Returns:
  Decimal value.
Throws:
  `PortableException` - In case of error.

#### readString

    @Nullable
    String readString()
                      throws PortableException

Returns:
  String value.
Throws:
  `PortableException` - In case of error.

#### readUuid

    @Nullable
    UUID readUuid()
                  throws PortableException

Returns:
  UUID.
Throws:
  `PortableException` - In case of error.

#### readDate

    @Nullable
    Date readDate()
                  throws PortableException

Returns:
  Date.
Throws:
  `PortableException` - In case of error.

#### readTimestamp

    @Nullable
    Timestamp readTimestamp()
                            throws PortableException

Returns:
  Timestamp.
Throws:
  `PortableException` - In case of error.

#### readObject

    @Nullable
    <T> T readObject()
                 throws PortableException

Returns:
  Object.
Throws:
  `PortableException` - In case of error.

#### readByteArray

    @Nullable
    byte[] readByteArray()
                         throws PortableException

Returns:
  Byte array.
Throws:
  `PortableException` - In case of error.

#### readShortArray

    @Nullable
    short[] readShortArray()
                           throws PortableException

Returns:
  Short array.
Throws:
  `PortableException` - In case of error.

#### readIntArray

    @Nullable
    int[] readIntArray()
                       throws PortableException

Returns:
  Integer array.
Throws:
  `PortableException` - In case of error.

#### readLongArray

    @Nullable
    long[] readLongArray()
                         throws PortableException

Returns:
  Long array.
Throws:
  `PortableException` - In case of error.

#### readFloatArray

    @Nullable
    float[] readFloatArray()
                           throws PortableException

Returns:
  Float array.
Throws:
  `PortableException` - In case of error.

#### readDoubleArray

    @Nullable
    double[] readDoubleArray()
                             throws PortableException

Returns:
  Byte array.
Throws:
  `PortableException` - In case of error.

#### readCharArray

    @Nullable
    char[] readCharArray()
                         throws PortableException

Returns:
  Char array.
Throws:
  `PortableException` - In case of error.

#### readBooleanArray

    @Nullable
    boolean[] readBooleanArray()
                               throws PortableException

Returns:
  Boolean array.
Throws:
  `PortableException` - In case of error.

#### readDecimalArray

    @Nullable
    BigDecimal[] readDecimalArray()
                                  throws PortableException

Returns:
  Decimal array.
Throws:
  `PortableException` - In case of error.

#### readStringArray

    @Nullable
    String[] readStringArray()
                             throws PortableException

Returns:
  String array.
Throws:
  `PortableException` - In case of error.

#### readUuidArray

    @Nullable
    UUID[] readUuidArray()
                         throws PortableException

Returns:
  UUID array.
Throws:
  `PortableException` - In case of error.

#### readDateArray

    @Nullable
    Date[] readDateArray()
                         throws PortableException

Returns:
  Date array.
Throws:
  `PortableException` - In case of error.

#### readObjectArray

    @Nullable
    Object[] readObjectArray()
                             throws PortableException

Returns:
  Object array.
Throws:
  `PortableException` - In case of error.

#### readCollection

    @Nullable
    <T> Collection<T> readCollection()
                                 throws PortableException

Returns:
  Collection.
Throws:
  `PortableException` - In case of error.

#### readCollection

    @Nullable
    <T> Collection<T> readCollection(Class<? extends Collection<T>> colCls)
                                 throws PortableException

Parameters:
  `colCls` - Collection class.
Returns:
  Collection.
Throws:
  `PortableException` - In case of error.

#### readMap

    @Nullable
    <K,V> Map<K,V> readMap()
                     throws PortableException

Returns:
  Map.
Throws:
  `PortableException` - In case of error.

#### readMap

    @Nullable
    <K,V> Map<K,V> readMap(Class<? extends Map<K,V>> mapCls)
                     throws PortableException

Parameters:
  `mapCls` - Map class.
Returns:
  Map.
Throws:
  `PortableException` - In case of error.

#### readEnum

    @Nullable
    <T extends Enum<?>> T readEnum()
                            throws PortableException

Returns:
  Value.
Throws:
  `PortableException` - In case of error.

#### readEnumArray

    @Nullable
    <T extends Enum<?>> T[] readEnumArray()
                                   throws PortableException

Returns:
  Value.
Throws:
  `PortableException` - In case of error.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015